cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"sendEmail"}'const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"sendEmail"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
name: 'string',
description: 'string',
config: null,
parentNodeId: 'string',
type: 'sendEmail'
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"name\":\"string\",\"description\":\"string\",\"config\":null,\"parentNodeId\":\"string\",\"type\":\"sendEmail\"}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.teable.ai/api/base/{baseId}/workflow/{workflowId}/action",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'parentNodeId' => '<string>',
'name' => '<string>',
'description' => '<string>',
'config' => '<unknown>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.teable.ai/api/base/{baseId}/workflow/{workflowId}/action"
payload := strings.NewReader("{\n \"parentNodeId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"config\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.teable.ai/api/base/{baseId}/workflow/{workflowId}/action")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"parentNodeId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"config\": \"<unknown>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.teable.ai/api/base/{baseId}/workflow/{workflowId}/action")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parentNodeId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"config\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{
"config": {
"tableId": "<string>",
"fields": {},
"baseId": "<string>",
"loopKey": {
"resolvable": true,
"type": "fact",
"fact": "<string>",
"path": "<string>",
"keyStack": [
"<string>"
],
"params": {
"pipes": [
"uppercase"
],
"pipeOptions": {
"formatDate": {
"date": "<string>",
"time": "HH:mm",
"timeZone": "<string>"
}
}
}
},
"_fieldsOrder": [
"<string>"
]
},
"id": "<string>",
"category": "action",
"createdTime": "<string>",
"type": "createRecord",
"name": "<string>",
"description": "<string>",
"testResult": {
"createdTime": "<string>",
"spent": 123,
"inputRaw": null,
"outputRaw": null,
"inputVariables": {},
"outputVariables": {},
"errorMsg": "<string>"
},
"outputVariables": {},
"inputVariables": {},
"lastModifiedTime": "<string>"
}automation
Post project workflow action
Create a automation workflow action
POST
/
base
/
{baseId}
/
workflow
/
{workflowId}
/
action
cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"sendEmail"}'const url = 'https://app.teable.ai/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"name":"string","description":"string","config":null,"parentNodeId":"string","type":"sendEmail"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({
name: 'string',
description: 'string',
config: null,
parentNodeId: 'string',
type: 'sendEmail'
}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"name\":\"string\",\"description\":\"string\",\"config\":null,\"parentNodeId\":\"string\",\"type\":\"sendEmail\"}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/base/%7BbaseId%7D/workflow/%7BworkflowId%7D/action", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.teable.ai/api/base/{baseId}/workflow/{workflowId}/action",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'parentNodeId' => '<string>',
'name' => '<string>',
'description' => '<string>',
'config' => '<unknown>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.teable.ai/api/base/{baseId}/workflow/{workflowId}/action"
payload := strings.NewReader("{\n \"parentNodeId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"config\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.teable.ai/api/base/{baseId}/workflow/{workflowId}/action")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"parentNodeId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"config\": \"<unknown>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.teable.ai/api/base/{baseId}/workflow/{workflowId}/action")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parentNodeId\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"config\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{
"config": {
"tableId": "<string>",
"fields": {},
"baseId": "<string>",
"loopKey": {
"resolvable": true,
"type": "fact",
"fact": "<string>",
"path": "<string>",
"keyStack": [
"<string>"
],
"params": {
"pipes": [
"uppercase"
],
"pipeOptions": {
"formatDate": {
"date": "<string>",
"time": "HH:mm",
"timeZone": "<string>"
}
}
}
},
"_fieldsOrder": [
"<string>"
]
},
"id": "<string>",
"category": "action",
"createdTime": "<string>",
"type": "createRecord",
"name": "<string>",
"description": "<string>",
"testResult": {
"createdTime": "<string>",
"spent": 123,
"inputRaw": null,
"outputRaw": null,
"inputVariables": {},
"outputVariables": {},
"errorMsg": "<string>"
},
"outputVariables": {},
"inputVariables": {},
"lastModifiedTime": "<string>"
}التفويضات
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
الجسم
application/json
witch node this the parent, if not provided, it is a root node
type of action
الخيارات المتاحة:
sendEmail, createRecord, updateRecord, httpRequest, getRecords, aiGenerate, script name of the node
description of the node
node configuration
الاستجابة
201 - application/json
Successful created
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
node id
الخيارات المتاحة:
action created time
This Action will activate when a record is created in a table.
الخيارات المتاحة:
createRecord name of the node
description of the node
action test result
Show child attributes
Show child attributes
output variables
input variables
last modified time
آخر تعديل في ١٥ سبتمبر ٢٠٢٦
هل كانت هذه الصفحة مفيدة؟

